diff -urN v2.4.11-pre2/include/asm-i386/unistd.h foo/include/asm-i386/unistd.h
--- v2.4.11-pre2/include/asm-i386/unistd.h	Mon Oct  1 19:12:49 2001
+++ foo/include/asm-i386/unistd.h	Mon Oct  1 19:52:24 2001
@@ -227,7 +227,13 @@
 #define __NR_madvise1		219	/* delete when C lib stub is removed */
 #define __NR_getdents64		220
 #define __NR_fcntl64		221
-#define __NR_security		223	/* syscall for security modules */
+#define __NR_security		223	/* syscall for security modules   */
+#define __NR___io_setup         224	/* aio - create a context	  */
+#define __NR___io_destroy       225	/* aio - destroy a context	  */
+#define __NR___io_submit        226	/* aio - submit a list of ios	  */
+#define __NR___io_cancel        227	/* aio - cancel a specific ios	  */
+#define __NR___io_wait          228	/* aio - wait for a specific ios  */
+#define __NR___io_getevents     229	/* aio - retrieve a set of events */
 
 /* user-visible error numbers are in the range -1 - -124: see <asm-i386/errno.h> */
 
diff -urN v2.4.11-pre2/include/asm-ia64/unistd.h foo/include/asm-ia64/unistd.h
--- v2.4.11-pre2/include/asm-ia64/unistd.h	Mon Aug 13 15:12:08 2001
+++ foo/include/asm-ia64/unistd.h	Mon Oct  1 19:49:44 2001
@@ -206,6 +206,13 @@
 #define __NR_getdents64			1214
 #define __NR_getunwind			1215
 
+#define __NR___io_setup			1224 /* aio - create a context        */
+#define __NR___io_destroy		1225 /* aio - destroy a context       */
+#define __NR___io_submit		1226 /* aio - submit a list of ios    */
+#define __NR___io_cancel		1227 /* aio - cancel a specific ios   */
+#define __NR___io_wait			1228 /* aio - wait for a specific ios */
+#define __NR___io_getevents		1229 /* aio - retrieve events         */
+
 #if !defined(__ASSEMBLY__) && !defined(ASSEMBLER)
 
 extern long __ia64_syscall (long a0, long a1, long a2, long a3, long a4, long nr);
